// EMG_averaged_offsetCompensation.ino
// ESP32 @ IDE 1.8.12

# define inpPin 34

int averages=30000;
float sigma;
long int offset=0;

void setup() 
{ Serial.begin(250000); 
  for (int i=1; i<averages; i++)
  { offset += analogRead(inpPin);
  } 
  offset /= averages;
}

void loop() 
{ sigma = 0;
  for (int i=0; i< averages; i++)
    sigma += abs(analogRead(inpPin) - offset);
  Serial.println(sigma/averages);
}
